/*
   Run this program at the command prompt.
   > java  TestPrint_7
   How do you explain the result?
*/
public class TestPrint_7
{
   public static void main(String[] args)
   {
      final long startTime = System.currentTimeMillis();
      for (int i = 0; i < 300_000; ++i)
      {
         System.out.write('a');
      }
      final long stopTime = System.currentTimeMillis();
      System.out.println("\nWall-clock time: " + (stopTime - startTime));
   }
}

/*
System.out.write() uses buffering, so it is faster than System.out.print()
(about 10 times faster).
*/
